ServerEvents.recipes(event => {
    event.replaceInput(
        {output: 'industrialforegoing:machine_frame_pity'},
        'minecraft:redstone_block',
        '#kubejs:grist/agricultural/basic'
    );
    
    event.replaceInput(
        {output: 'industrialforegoing:machine_frame_simple'},
        'minecraft:nether_brick',
        '#kubejs:grist/agricultural/improved'
    );

    event.replaceInput(
        {output: 'industrialforegoing:machine_frame_advanced'},
        'minecraft:netherite_scrap',
        '#kubejs:grist/agricultural/radiant'
    );

    event.replaceInput(
        {id: 'industrialforegoing:plant_gatherer'},
        'industrialforegoing:machine_frame_pity',
        'industrialforegoing:machine_frame_simple'
    );
    event.replaceInput(
        {id: 'industrialforegoing:animal_rancher'},
        'industrialforegoing:machine_frame_pity',
        'industrialforegoing:machine_frame_simple'
    );
    event.replaceInput(
        {id: 'industrialforegoing:animal_feeder'},
        'industrialforegoing:machine_frame_pity',
        'industrialforegoing:machine_frame_simple'
    );

    event.replaceInput(
        {id: 'industrialforegoing:common_black_hole_unit'},
        '#forge:gears/iron',
        '#kubejs:grist/intelligent/basic'
    );

    global.replaceInputs(
        event,
        {mod: 'industrialforegoing'}, [
        ['#forge:gears/iron', global.gearItem('invar')],
        ['#forge:gears/gold', global.gearItem('steel')],
        ['#forge:gears/diamond', global.gearItem('signalum')],
        ['minecraft:ender_eye', '#kubejs:grist/intelligent/improved'],
        ['minecraft:gold_ingot', global.ingotItem('steel')],
        ['industrialforegoing:plastic', '#forge:rubber'],
        ['minecraft:diamond_pickaxe', '#kubejs:grist/build/radiant']
    ]);

    let v = [['common', 'pity'], ['pity', 'simple'], ['simple', 'advanced'], ['advanced','supreme']].forEach(tierPair => {
        event.replaceInput(
            {id: `industrialforegoing:${tierPair[1]}_black_hole_unit`},
            'minecraft:ender_pearl',
            `industrialforegoing:${tierPair[0]}_black_hole_unit`
        );
        event.replaceInput(
            {id: `industrialforegoing:${tierPair[1]}_black_hole_tank`},
            'minecraft:ender_pearl',
            `industrialforegoing:${tierPair[0]}_black_hole_tank`
        );
    });

    event.replaceInput(
        {id: 'industrialforegoing:fluid_extractor'},
        'minecraft:light_weighted_pressure_plate',
        '#kubejs:grist/agricultural/basic'
    );

    event.replaceInput(
        {id: 'industrialforegoing:block_placer'},
        'minecraft:redstone',
        '#kubejs:grist/build/basic'
    );
    event.replaceInput(
        {id: 'industrialforegoing:block_breaker'},
        'minecraft:redstone',
        '#kubejs:grist/build/basic'
    );
    event.replaceInput(
        {id: 'industrialforegoing:fluid_collector'},
        'minecraft:redstone',
        '#kubejs:grist/build/basic'
    );
    event.replaceInput(
        {id: 'industrialforegoing:fluid_placer'},
        'minecraft:redstone',
        '#kubejs:grist/build/basic'
    );

    event.replaceInput(
        {id: 'industrialforegoing:mob_crusher'},
        'minecraft:iron_sword',
        '#kubejs:grist/agricultural/improved'
    );

    event.replaceInput(
        {id: 'industrialforegoing:conveyor'},
        'minecraft:redstone',
        '#kubejs:grist/intelligent/basic'
    );

    event.replaceInput(
        {id: 'industrialforegoing:latex_processing_unit'},
        'minecraft:redstone_block',
        '#kubejs:grist/agricultural/basic'
    );
});